Bug 53056 - Add APR version number to tcnative version INFO log message
Add APR version number to tcnative version INFO log message
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Catalina
unspecified
PC Mac OS X 10.4
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2012-04-10 20:58 UTC by Christopher Schultz
Modified: 2012-04-25 20:06 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Schultz 2012-04-10 20:58:50 UTC
When tcnative starts, it emits information like this to catalina.out:

pr 10, 2012 4:54:55 PM org.apache.catalina.core.AprLifecycleListener init
INFO: Loaded APR based Apache Tomcat Native library 1.1.23.
Apr 10, 2012 4:54:55 PM org.apache.catalina.core.AprLifecycleListener init
INFO: APR capabilities: IPv6 [true], sendfile [true], accept filters [false], random [true].

It would be nice if the APR version in use could also be displayed as well as the tcnative version. Maybe the OpenSSL version, too.
Comment 1 Christopher Schultz 2012-04-10 21:15:26 UTC
Looks like APR version is trivial, while OpenSSL version is not. I'll file separately for OpenSSL version.
Comment 2 Christopher Schultz 2012-04-10 21:25:17 UTC
Fixed in trunk and 7.0.x. Will be in 7.0.28.
Proposed for 6.0.x.
Comment 3 Christopher Schultz 2012-04-10 21:34:13 UTC
Changed product, as this change is entirely in Tomcat itself, and not in the native component.
Comment 4 Christopher Schultz 2012-04-25 20:06:14 UTC
Back-ported to 6.0.x. Will be in 6.0.36.